Delete a VICAL signer
Roles
Analytics Events
/v1/ecosystems/certificates/vical-signers/{vicalSignerId}Deletes a VICAL signer.
Analytic events
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_DELETE_START
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_DELETE_SUCCESS
- ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the VICAL signer.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/vical-signers/123e4567-e89b-12d3-a456-426614174000"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a VICAL signer PUT
Updates a VICAL signer by: - Providing a VICAL Signer Certificate (VSC) in PEM format that matches its Certificate Signing Request (CSR). - Activating or deactivating the VICAL signer. Only VICAL signers with a valid PEM certificate can be activated. - The `certificatePem` field becomes immutable after it's updated for the first time. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout> ### **Analytic events** * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_START * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESS * ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_UPDATE_FAIL
Retrieve events GET
Returns a list of matching events from the tenant's event database. The `categories` and `types` parameters filter based on an **OR** logic, whilst all other parameters use an "AND" logic. For example `(categories OR types) AND requestIds AND dateFrom`. Refer to the [Events registry](https://api-reference-sdk.mattr.global/event-registry/latest/index.html) for an inclusive list of events categories and types.